// u2sDlg.h : header file
// Copyright(C) Sollae Systems Co.,Ltd.
// 06.Nov.2000 yyc  initial touch
//

#if !defined(AFX_U2SDLG_H__0899BFC9_B3EA_11D4_8D51_00104B1587CE__INCLUDED_)
#define AFX_U2SDLG_H__0899BFC9_B3EA_11D4_8D51_00104B1587CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CU2sDlg dialog

class CU2sDlg : public CDialog
{
// Construction
public:
	CU2sDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CU2sDlg)
	enum { IDD = IDD_U2S_DIALOG };
	CButton	m_check_lf;
	CButton	m_check_cr;
	CButton	m_send;
	CEdit	m_send_box;
	CEdit	m_console;
	CIPAddressCtrl	m_remote_ip;
	CButton	m_bind_close;
	CButton	m_bind;
	UINT	m_remote_udp_port;
	UINT	m_local_udp_port;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CU2sDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CU2sDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBind();
	afx_msg void OnBindClose();
	afx_msg void OnExit();
	afx_msg void OnSend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	CEzSock m_socket;
	CString addr2str(CIPAddressCtrl& ip_addr);
	void DlgOnReceive(int nErrorCode);
	void DlgOnClose(int nErrorCode);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_U2SDLG_H__0899BFC9_B3EA_11D4_8D51_00104B1587CE__INCLUDED_)
